//---------------------------------------------------------------------------
#ifndef urldisplayH
#define urldisplayH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl/dstring.h>
//---------------------------------------------------------------------------
class TDisplayUrl : public TComponent
{
private:
	enum StateTypes{bsNormal = 1, bsMinimized, bsMaximized};
	AnsiString FURL;
	StateTypes FBState;

	void __fastcall SetUrl(AnsiString url);
	void __fastcall SetBState(StateTypes bstate);
protected:
public:
	__fastcall TDisplayUrl(TComponent* Owner);
	void __fastcall Execute(void);

__published:
	__property AnsiString URL={read=FURL, write=SetUrl};
	__property StateTypes BrowserState={read=FBState, write=SetBState, default=bsNormal};
};
//---------------------------------------------------------------------------
#endif
